CREATE    procedure [C6Staging].[RP_ST_NobPrez] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_NobPrez',
		GETDATE(),
		'Elaborazione giornaliera'
	)
truncate table C6Staging.RP_NobPrez 
INSERT INTO [C6Staging].[RP_NobPrez]
           ([CHIAVECLIENTEPB]
           ,[RETE]
           ,[COD_AGENTE]
           ,[CODFIS]
           ,[PIVA]
           ,[CODMAN]
           ,[CODCONF]
           ,[CODCONF_ES]
           ,[DOSSIER]
           ,[DTINI]
           ,[DTFIN]
           ,[CC]
           ,[DT_AGGIORNAMENTO]
		   ,[DT_FIRMASEI]
		   ,[DTEFFINI]
		   ,[DTEFFFIN]
		   )
SELECT p.[CHIAVECLIENTEPB]
      ,p.[RETE]
      ,p.[COD_AGENTE]
      ,p.[CODFIS]
      ,p.[PIVA]
      ,p.[CODMAN]
      ,p.[CODCONF]
      ,p.[CODCONF_ES]
      ,case when isnull(p.[DOSSIER],'')='' then '' else 'DT' end
      ,p.[DTINI]
      ,p.[DTFIN]
      ,p.[CC]
      ,p.[DT_AGGIORNAMENTO]
	  ,CONVERT(varchar(8), v.dtfirmaSEI, 112) as DT_FirmaSei
	  ,p.[DTEFFINI]	
	  ,p.[DTEFFFIN]
 from [Consuni].[ConsulenzaUnica].[dbo].[PRAM_NOBPREZ] p
	left join [Consuni].[ConsulenzaUnica].[dbo].[vinfocliente] v
	on p.chiaveclientePB=v.chiaveclientePB
	where CONVERT(varchar(8), v.dtfirmaSEI, 112) between p.DTEFFINI and p.DTEFFFIN
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_NobPrez' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_NobPrez'
		)
end